%define Name docbook-website
%define Version 2.5.0
%define Release 2mdk

Name:		%{Name}
Version:	%{Version}
Release:	%{Release}
Group       	: Publishing

Summary     	: Website is an XML DTD for building, er, web sites

License   	: Artistic style
URL         	: http://sourceforge.net/projects/docbook

Requires	: docbook-dtd42-xml
Requires	: docbook-style-xsl
Prereq		: sgml-common >= 0.6.3-2mdk

BuildRoot   	: %{_tmppath}/%{name}-%{version}-buildroot 

Source0		: http://prdownloads.sourceforge.net/docbook/website-%{Version}.tar.bz2
BuildArch	: noarch

%define sgmlbase %{_datadir}/sgml/ 

%Description

These Website system, by Norman Walsh, is a DTD/XSL pair based on
DocBook for building Web Sites.

%prep
%setup -n website-%{Version}

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/docbook/website-%{Version} 
cp -a VERSION schema/ extensions/ xsl/ $RPM_BUILD_ROOT%{sgmlbase}/docbook/website-%{Version}

ln -sf website-%{Version} \
	$RPM_BUILD_ROOT%{sgmlbase}/docbook/website

%clean
rm -rf $RPM_BUILD_ROOT

%post
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/website/%{version}" \
	"file:///usr/share/sgml/docbook/website-%{version}" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/website/%{version}" \
	"file:///usr/share/sgml/docbook/website-%{version}" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/website/current" \
	"file:///usr/share/sgml/docbook/website-%{version}" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/website/current" \
	"file:///usr/share/sgml/docbook/website-%{version}" $CATALOG


%postun
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --del \
	"file:///usr/share/sgml/docbook/website-%{version}" $CATALOG

%files
%defattr (-,root,root)
%dir %{sgmlbase}/docbook/website-%{Version}
%doc README VERSION ChangeLog WhatsNew example/ tests/
%{sgmlbase}/docbook/website-%{Version}
%{sgmlbase}/docbook/website


%changelog 
* Sat Feb  5 2005 Camille Begnis <camille@mandrakesoft.com> 2.5.0-2mdk
- rebuild
- change license to please rpmlint

* Sat Jan  3 2004 Camille Begnis <camille@mandrakesoft.com> 2.5.0-1mdk
- 2.5.0

* Mon Dec  2 2002  <camille@ke.mandrakesoft.com> 2.3-2mdk
- fixed requires

* Mon Dec  2 2002  <camille@ke.mandrakesoft.com> 2.3-1mdk
- First specs

